import { authOptions } from "@/app/api/auth/[...nextauth]/route";
import FollowersList from "@/components/following-users";
import { getServerSession } from "next-auth";

export default async function Followers() {
    const session = await getServerSession(authOptions);

    if (!session) {
        return <div>Loading...</div>;
    }

    return (
        <div>
            <h1>Followers Page WIP</h1>
            <FollowersList userId={parseFloat(session.user?.id)} />
        </div>
    )
}